Bug 70481 - scrolling doesn't work when highlighting text
scrolling doesn't work when highlighting text
Product: Red Hat Public Beta
Classification: Retired
Component: vte (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
Depends On:
Blocks: 67218
  Show dependency treegraph
Reported: 2002-08-01 13:34 EDT by tom georgoulias
Modified: 2008-05-01 11:38 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-08-29 15:51:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description tom georgoulias 2002-08-01 13:34:49 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; SunOS sun4u; en-US; rv:1.0.0) Gecko/20020611

Description of problem:
If I am trying to copy & paste a huge chunk text from the terminal, the terminal
will not scroll down/up and allow me to continue highlighting text that isn't
viewable in the window (but would be if the terminal scrolled.  I have to
highlight what I want, paste it, use the scrollbar on the terminal to move to
the next portion of text, then highlight the text.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. fill terminal screen with enough text that scrolling is required.
2. Highlight text and drag mouse to highlight text outside of viewable terminal

Actual Results:  Scrolling doesn't work.

Expected Results:  Scrolling should work.

Additional info:
Comment 1 Nalin Dahyabhai 2002-08-27 23:48:05 EDT
This should be fixed with vte-0.8.10 and later.
Comment 2 Jay Turner 2002-08-28 14:58:19 EDT
I'm still seeing something a little odd with vte-0.8.10-1.  You can highlight
and move to the bottom of the terminal window, but the window will not scroll. 
But if you let go of the mouse and scroll the window down manually, then you
will see that the content is actually highlighted, just the window didn't scroll
to show you the highlighting.
Comment 3 Nalin Dahyabhai 2002-08-29 15:51:51 EDT
Hmm, you're right.  The 0.8.10 would regularly get confused as to whether or not
it needed to autoscroll.  Fixed in 0.8.11, really, I'm sure this time.
Comment 4 Jay Turner 2002-08-30 13:17:03 EDT
Fix confirmed with vte-0.8.12-1.

Note You need to log in before you can comment on or make changes to this bug.